/*
	PS_RESCALE will rescale a PostScript file according to the
	command line parameters.
*/

#include <stdio.h>

#define	XPAGE	8.5
#define	YPAGE	11.0
#define	STRLEN	80	/* Default line length limit	*/

main(argc,argv)
int  argc;
char *argv[];
{
	FILE *fpin,*fpout,*fopen();
	double xsize,ysize,xscale,yscale,atof();
	char str[STRLEN];

	argc--;
	argv++;
	xsize = XPAGE;
	ysize = YPAGE;
	while(argc){
		if(argv[0][0] == '-'){
			switch(argv[0][1]){
				case 'x':
					xsize = atof(argv[1]);
					break;
				case 'y':
					ysize = atof(argv[1]);
					break;
				}
			argc -= 2;
			argv += 2;
			}
		else	{
			if(!fpin)
				fpin  = fopen(*argv,"r");
			else	fpout = fopen(*argv,"w");
			argc--;
			argv++;
			}
		}
	if(!fpin)
		fpin = stdin;
	if(!fpout)
		fpout = stdout;

	while(fgets(str,STRLEN,fpin)){
		fputs(str,fpout);
		if(*str != '%')
			break;
		}
	xscale = xsize/XPAGE;
	yscale = ysize/YPAGE;
	fprintf(fpout,"%lf %lf scale\n",xscale,yscale);
	while(fgets(str,STRLEN,fpin))
		fputs(str,fpout);

	exit(0);
}
